# How to package

Have a `pyproject.toml` file
Have an internet connection (flit needs it)

```python
python3 -m build --wheel
```
# How to run (with factory building)

```python
gunicorn --bind 0.0.0.0:8000 'flask_soc_site:create_app()'
```
Documentation: https://docs.gunicorn.org/en/stable/run.html

# How to run currently without systemd service
```bash
ssh [user]@[site].nl
sudo su
sudo -i -u [account running app]
cd [path to flask app]
. ./env/bin/activate
gunicorn --bind 0.0.0.0:8000 'flask_soc_site:create_app()' --error-logfile gunicorn.error.log --log-level error --capture-output

```


